%include	/usr/lib/rpm/macros.perl
%define		pdir	Audio
%define		pnam	CD
Summary:	Perl interface to libcdaudio
Summary(pl.UTF-8):	Interfejs Perla do libcdaudio
Name:		perl-Audio-CD
Version:	0.04
Release:	11
Epoch:		1
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# newer version distribution is restricted
#Source0:	http://homepages.cwi.nl/~jvhemert/files/Audio-CD-0.05.tar.gz
# Source0-md5:	5b3051fd01a36c557a54e83ac0bde567
BuildRequires:	libcdaudio-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl interface to libcdaudio.

%description -l pl.UTF-8
Interfejs Perla do libcdaudio.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/Audio/CD.pm
%dir %{perl_vendorarch}/auto/Audio/CD
%attr(755,root,root) %{perl_vendorarch}/auto/Audio/CD/CD.so

%{_mandir}/man3/*
%changelog
* Fri Sep 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Audio-CD.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 358f54c
- release 11 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8d736e9
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 87abd18
- rebuild for perl 5.20
- release 10 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 57d09ee
- rebuild with perl 5.18.0
- release 9 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d62db52
- release 8

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 92eaf87
- rel 7

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 000a516
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0807de9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b68f2cc
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 5670e06
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> a8cd0bf
- rel. 6

* Thu May 06 2004 ankry <ankry@pld-linux.org> 3c1221e
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> bfb7d97
- cosmetics: unification

* Sat Apr 17 2004 ankry <ankry@pld-linux.org> 60def5b
- back to 0.04, epoch: 1

* Sat Apr 17 2004 ankry <ankry@pld-linux.org> a9b38d6
- license fixes

* Fri Apr 16 2004 ankry <ankry@pld-linux.org> cf578f1
- this version is not distributable

* Wed Apr 14 2004 ankry <ankry@pld-linux.org> 4e92843
- caps and other cosmetics

* Sun Nov 09 2003 wolf <wolf@pld-linux.org> 4a053d2
- 0.05

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 91e2c9e
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 42dede7
- massive attack: source-md5

